- Qt 6.11
- Qt WebEngine
- QML Types
- webEngineQuotaRequest
- Qt 6.11.1 Reference Documentation

# webEngineQuotaRequest QML Value Type

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.7
Status: | Deprecated since 6.5

This type is deprecated since QtWebEngine 6.5. We strongly advise against using it in new code.

## Properties

- origin : url
- requestedSize : qint64

## Methods

- void accept()
- void reject()

## Detailed Description

Requesting host quota is no longer supported by Chromium.

The behavior of navigator.webkitPersistentStorage is identical to navigator.webkitTemporaryStorage.

For further details, see https://crbug.com/1233525

See also WebEngineView::quotaRequested().

## Property Documentation

### origin : url `[read-only]`

### requestedSize : qint64 `[read-only]`

## Method Documentation

### void accept()

### void reject()